Subject: Re: [PATCH] gnu: Add book-r5rs.

From: Nicolas Goaziou <[email-masked]>
Date: Thu, 27 Feb 2025 15:04:06 +0100

Hello,

> å®ææ­¦ <[email-masked]> writes:
> 
> >> This patch is for the R5RS spec document, in PDF and Info formats.
> >> Not sure what conventions would work best, but here I used:
> >> 1. package definitions for books/documents go into the file
> >>    "book-[type].scm".
> >> 2. package definition names are formatted "book-[shortname]".
> >
> > Good idea, I'll rename 'faif' to 'book-faif' later.
> 
> Do you think it would be a good idea to install the files to
> /share/doc/[shortname]/, or just /share/doc/? I used the first one to
> avoid cluttering /share/doc/, or maybe for organization purposes if a
> book is split into multiple files. But I can update this patch to use
> /share/doc/ if you disagree.

I also think share/doc/[shortname] is fine.

> >> I would be interested to hear what others think about books in Guix.
> >> Would we want to limit to technical books? What about translations?
> >> Has this already been proposed somewhere?
> >
> > I don't know any former proposed/discussion.  Well I'd like to also
> > include translations, eg:
> >
> > https://github.com/lifanxi/free-as-in-freedom-zh-cn
> > https://github.com/beijinglug/fsfs-zh
> 
> Sounds good to me.
> 
> > For non-technical books, maybe math books? eg:
> >
> > https://discrete.openmathbooks.org/dmoi3.html
> >
> > I'm not sure though, due to lack of confidence to make a judge...
> 
> I would definitely want math books. I would be OK with any non-fiction
> work so long as it can be typeset from source and is freely licensed,
> but then there might be a lot of book packages.

IMO, it would be nice to have a dedicated channel for books (including
those with a NC clause, and fictions). Meanwhile, I think Guix can
provide some related to CS and maths. I also think they don’t
necessarily need to be substituable as reproducibility is not
a concern, and compilation time usually negligible.

Meanwhile, I’m going to apply this patch. Antero, are you still
interested in creating and joining the book team or should I ignore the
related patches?

Regards,
-- 
Nicolas Goaziou